org.keycloak.jose.jwe

## Class JWEHeader

- java.lang.Object
- - org.keycloak.jose.jwe.JWEHeader

- All Implemented Interfaces:
    Serializable, JOSEHeader

      public class JWEHeader
      extends Object
      implements JOSEHeader

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWEHeader()`
    `JWEHeader(String algorithm, String encryptionAlgorithm, String compressionAlgorithm)`
    `JWEHeader(String algorithm, String encryptionAlgorithm, String compressionAlgorithm, String keyId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()`
    `String` | `getCompressionAlgorithm()`
    `String` | `getContentType()`
    `String` | `getEncryptionAlgorithm()`
    `String` | `getKeyId()`
    `String` | `getRawAlgorithm()` Returns the algorithm used to sign or encrypt the JWT from the JOSE header.
    `String` | `getType()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JWEHeader

          public JWEHeader()

    - #### JWEHeader

          public JWEHeader(String algorithm,
                           String encryptionAlgorithm,
                           String compressionAlgorithm)

    - #### JWEHeader

          public JWEHeader(String algorithm,
                           String encryptionAlgorithm,
                           String compressionAlgorithm,
                           String keyId)

  - ### Method Detail

    - #### getAlgorithm

          public String getAlgorithm()

    - #### getRawAlgorithm

          public String getRawAlgorithm()

      Description copied from interface: `JOSEHeader`
      Returns the algorithm used to sign or encrypt the JWT from the JOSE header.
      Specified by:
        `getRawAlgorithm` in interface `JOSEHeader`
      Returns:
        the algorithm from the JOSE header

    - #### getEncryptionAlgorithm

          public String getEncryptionAlgorithm()

    - #### getCompressionAlgorithm

          public String getCompressionAlgorithm()

    - #### getType

          public String getType()

    - #### getContentType

          public String getContentType()

    - #### getKeyId

          public String getKeyId()

      Specified by:
        `getKeyId` in interface `JOSEHeader`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.